## gclue-enums gclue-enums |

## Functions

const char * | gclue_accuracy_level_get_string ()

## Types and Values

enum | GClueAccuracyLevel

## Object Hierarchy

        GEnum
        ╰── GClueAccuracyLevel

## Description

## Functions

### gclue_accuracy_level_get_string ()

    const char *
    gclue_accuracy_level_get_string (GClueAccuracyLevel val);

Gets the nickname string for the GClueAccuracyLevel specified at `val` .

#### Parameters

val | a GClueAccuracyLevel. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

## Types and Values

### enum GClueAccuracyLevel

Used to specify level of accuracy requested by, or allowed for a client.

#### Members

GCLUE_ACCURACY_LEVEL_NONE | Accuracy level unknown or unset. |
GCLUE_ACCURACY_LEVEL_COUNTRY | Country-level accuracy. |
GCLUE_ACCURACY_LEVEL_CITY | City-level accuracy. |
GCLUE_ACCURACY_LEVEL_NEIGHBORHOOD | neighborhood-level accuracy. |
GCLUE_ACCURACY_LEVEL_STREET | Street-level accuracy. |
GCLUE_ACCURACY_LEVEL_EXACT | Exact accuracy. Typically requires GPS receiver. |